///////////////////////////////////////////////////////////////////////////
/// Fichero: donante.h                                   
/// Contenido: definicion de la clase donante     
/// Ultima modificacion: 14/noviembre/2009                    
///////////////////////////////////////////////////////////////////////////


#ifndef _DONANTE_H_
#define _DONANTE_H_

#include <string> 

#include "persona.h"

using namespace std;


///////////////////////////////////////////////////////////////////////////
/// Clase: Donante                                                  
/// Descripcion:                                                        
///               Representa a un donante de sangre
/// Representacion:                                                      
///                _grupo
///                _factor_rh
///                _numero_donaciones
///
/// Herencia:  hereda de forma publica de la clase Persona                           
///////////////////////////////////////////////////////////////////////////

class Donante: public Persona
{

  public:

    /// Constructor sin parametros.
    Donante(); 

    /// Contructor con parametros.
    Donante(string dato_nombre, string dato_apellido1, string dato_apellido2, bool dato_sexo, int dato_edad, 
            string dato_grupo, char dato_factor_rh, int dato_numero_donaciones); 

    
    /// Funciones de consulta
    string get_Grupo()const;
    char get_Factor_Rh()const;
    int get_Numero_Donaciones()const;

    void ver_Donante();

    /// Funciones de modificacion
    
    void set_Grupo(string dato_grupo); 
    void set_Factor_Rh(char dato_factor_rh); 
    void set_Numero_Donaciones(int dato_numero_donaciones); 

    Donante& operator=(const Donante &dato_Donante);

  
  private:

    /// Atributos propios de Donante
    string _grupo;
    char _factor_rh;
    int _numero_donaciones;


};
   
#endif 
